Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1517637 - improper properties wrapping for long name files
Summary: improper properties wrapping for long name files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pango
Version: 27
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Akira TAGOH
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-27 06:58 UTC by lxg
Modified: 2017-12-07 12:29 UTC (History)
13 users (show)

Fixed In Version: pango-1.40.14-1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 12:29:51 UTC


Attachments (Terms of Use)
improper properties wrapping for long name files (deleted)
2017-11-27 06:58 UTC, lxg
no flags Details


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 789625 None None None 2017-11-27 14:13:41 UTC

Description lxg 2017-11-27 06:58:04 UTC
Created attachment 1359305 [details]
improper properties wrapping for long name files

Sorry, I do not know the proper component name for this problem!


Description of problem:
I use Fedora 27 with the MATE Desktop Environment 1.19.1. There was a bug of improper wrapping  
long file names and it has been corrected in the last update, i.e.,  https://bugzilla.gnome.org/show_bug.cgi?id=789625
However, the similar problem is still on the "Item Properties".

Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:
1. create a file with a very long name  
2. right click the mouse and choose "Properties"
3. we can see the window will be very wide.

Actual results:
The window width will change with respect to the file name length.

Expected results:
Constant properties window size for all files.

Additional info:

Comment 1 Rex Dieter 2017-11-27 14:13:41 UTC
You linked an upstream pango bug, so pango is probably a better place to land this (though arguably,if it's already acknowledged usptream, there's less need for us to track it here, imo).

Comment 2 lxg 2017-11-30 08:29:19 UTC
(In reply to Rex Dieter from comment #1)
> You linked an upstream pango bug, so pango is probably a better place to
> land this (though arguably,if it's already acknowledged usptream, there's
> less need for us to track it here, imo).

Dear Dieter, I am sorry that I not familiar with related systems, and please forward this to the proper place. Thanks.

Comment 3 Akira TAGOH 2017-11-30 08:44:03 UTC
what's the version of pango do you have?

Comment 4 lxg 2017-12-01 11:15:29 UTC
(In reply to Akira TAGOH from comment #3)
> what's the version of pango do you have?

pango-view (pango) 1.40.13

I am not sure whether it is.

Thanks

Comment 5 Akira TAGOH 2017-12-01 11:31:11 UTC
The issue you referred was fixed in 1.40.14. so please update the package first and try again.

Comment 6 lxg 2017-12-02 08:15:27 UTC
(In reply to Akira TAGOH from comment #5)
> The issue you referred was fixed in 1.40.14. so please update the package
> first and try again.

Thank you!

I will wait the update of Fedora.

Comment 7 Akira TAGOH 2017-12-04 05:55:18 UTC
I meant the update has already been published. you have to run "dnf update" to get it on your system.

Comment 8 lxg 2017-12-07 12:16:03 UTC
(In reply to Akira TAGOH from comment #7)
> I meant the update has already been published. you have to run "dnf update"
> to get it on your system.

Thank you!
I have updated and the pango-view version is still 1.40.13. I will wait for the future update.


Note You need to log in before you can comment on or make changes to this bug.